Kerbal Space Program - Bug #23280

Incredible Lag Caused by Planted Flags
07/30/2019 01:07 PM - StatelyElms

Status: Duplicate Start date: 07/30/2019

Severity: Low % Done: 100%

Assignee:

Category: Bug Tracker

Target version:

Version: Xbox One - Enhanced Edition Language: English (US)
2019-07-25 Patch 7

Platform: XBoxOne Mod Related: No

Expansion: Core Game, Making History

Description

Incredible lag upon entering an area with any planted flags in the vicinity. Significant frame drop (estimated one frame every five
seconds). Lag is so severe that controls are useless. Menu is popped up automatically, but it takes intense button-mashing for even
just the highlighted option to change. Nearly impossible to select any option. If flags are near the launch site, significant loading times
of almost five minutes are to be expected. Closing and reopening KSP is the only way to get back to the game. Potentially affecting
core game and Making History, though not certain if it exclusive to either.

Video by a Discord friend who also experienced it. NOTE: he is on a more powerful console than what | have used to investigate this
bug, so less lag is shown.

https://youtu.be/M8gimfliedg

As you can see, everywhere but the area with the flag is perfectly fine and free from lag. However, he experiences long loading times
simply switching to the craft. This is all the same for Xbox One, but more severe due to the weaker processing power the Xbox One
provides.

TL;DR: 0.2fps lag spike caused by planted flags. If near launch site, long loading times are expected. Severe lag results in no control
whatsoever, even with the pause menu, and a reboot of KSP is the required to get back to the game. Affects Xbox One and PS4.

Related issues:
Is duplicate of Kerbal Space Program - Bug #23252: PS4 1.07 breaks game Closed 07/26/2019

History

#1 - 07/30/2019 07:31 PM - StatelyElms

Incredible lag upon entering an area with any planted flags in the vicinity. Significant frame drop (estimated one frame every five seconds). Lag is so
severe that controls are useless. Menu is popped up automatically, but it takes intense button-mashing for even just the highlighted option to change.
Nearly impossible to select any option. If flags are near the launch site, significant loading times of almost five minutes are to be expected. Closing
and reopening KSP is the only way to get back to the game. Potentially affecting core game and Making History, though not certain if it exclusive to
either.

Video by a Discord friend who also experienced it. NOTE: he is on a more powerful console than what | have used to investigate this bug, so less lag
is shown.

https://youtu.be/M8gimfljedg

As you can see, everywhere but the area with the flag is perfectly fine and free from lag. However, he experiences long loading times simply switching
to the craft. This is all the same for Xbox One, but more severe due to the weaker processing power the Xbox One provides.

TL;DR: 0.2fps lag spike caused by planted flags. If near launch site, long loading times are expected. Severe lag results in no control whatsoever,
even with the pause menu, and a reboot of KSP is required to get back to the game. Affects Xbox One and PS4.

#2 - 08/01/2019 12:44 AM - chris.fulton
- Is duplicate of Bug #23252: PS4 1.07 breaks game added

#3 - 08/01/2019 12:44 AM - chris.fulton
- Status changed from New to Duplicate

- % Done changed from 0 to 100
